/* finds informatiion about all installed cards in the system.

	To compile using Manx C:

		cc findboard
		ln findboard.o -lc

*/


#include "libraries/expansionbase.h"
#include "libraries/expansion.h"
#include "libraries/configvars.h"

struct ExpansionBase *ExpansionBase, *OpenLibrary();

void main()
{	struct ConfigDev		*cd = NULL;

	ExpansionBase = OpenLibrary(EXPANSIONNAME,0L);

	while (cd = FindConfigDev(cd,-1L,-1L))
	{	printf("Address: $%08lx Size: $%08lx Manufacturer: %5d Product %3d\n",
			cd->cd_BoardAddr,
			cd->cd_BoardSize,
			cd->cd_Rom.er_Manufacturer,
			cd->cd_Rom.er_Product);
	}

	CloseLibrary(ExpansionBase);
}
