
	/* Given a screen pointer, determine the public screen name */

void GetPubScreenName (struct Screen * scr, char *buffer, int maxlen)
{
	struct List			*publist;
	struct PubScreenNode *psnode;

	strcpy (buffer, "<private>");				/* Initialize our variables		*/
	publist = LockPubScreenList();				/* Lock the public screen list	*/

	    /* and copy it */

    for (psnode = (struct PubScreenNode *) publist->lh_Head;
		psnode->psn_Node.ln_Succ;
		psnode = (struct PubScreenNode *) psnode->psn_Node.ln_Succ)
	{	if (psnode->psn_Screen == scr)
		{	str_ncpy(buffer,psnode->psn_Node.ln_Name,maxlen);
			break;
		}
	}

	UnlockPubScreenList ();
}
